﻿using Zeta.Common;

namespace StatsTracker.Util
{
    internal static class Logger
    {
        private static readonly log4net.ILog DbLog = Zeta.Common.Logger.GetLoggerInstanceForType();

        internal static void Error(string message, params object[] args)
        {
            message = "[" + DamageTracker.PluginName + "] " + message;
            DbLog.ErrorFormat(message, args);
        }

        internal static void Info(string message, params object[] args)
        {
            message = "[" + DamageTracker.PluginName + "] " + message;
            DbLog.InfoFormat(message, args);
        }

        internal static void Debug(string message, params object[] args)
        {
            message = "[" + DamageTracker.PluginName + "] " + message;
            DbLog.DebugFormat(message, args);
        }

        internal static void Verbose(string message)
        {
            message = "[" + DamageTracker.PluginName + "] " + message;
            DbLog.Verbose(message);
        }
    }

}
